<main class="main">
  <label>Username or Email:</label>
  <input #usernameOrEmail class="w3-input w3-border" name="usernameOrEmail" type="text" placeholder="Username or Email">
  <br>
  <label>Password</label>
  <input #password class="w3-input w3-border" name="password" type="password" placeholder="Password">
  <br>
  <button class="w3-btn w3-green w3-ripple submit-button" id="login-button"
    (click)="request(protectedStatus.checked ,usernameOrEmail.value, password.value)">&#10004;
    Login</button>
  <div class="w3-row">
    <div class="w3-half">
      <input #protectedStatus class="w3-radio" type="radio" name="secure" value="1" checked>
      <label>Protected</label>
    </div>
    <div class="w3-half">
      <input #unprotectedStatus class="w3-radio" type="radio" name="secure" value="0">
      <label>Unprotected</label>
    </div>
  </div>
  <div class="w3-row">
    <textarea #output class="full-width-textarea" disabled></textarea>
  </div>

</main>